Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.model
Interface Slot

All Superinterfaces:
  Comparable<Frame>, Frame, Instance

All Known Implementing Classes:
  DefaultSlot

    public interface Slot

extends Instance

A top level slot object. Note that this object does not have "facet overrides" by itself. If you want to get facet values at a class you need to call `Cls.getTemplateFacetValues(Slot, Facet)`

Author:
  Ray Fergerson

Method Summary
`void` | `addDirectSuperslot(Slot slot)`
`void` | `addSlotListener(SlotListener listener)`
`Collection` | `getAllowedClses()`
`Collection` | `getAllowedParents()` Returns the classes which restrict the values that this slot can take.
`Collection` | `getAllowedValues()`
`boolean` | `getAllowsMultipleValues()`
`Facet` | `getAssociatedFacet()`
`Collection` | `getDefaultValues()`
`Collection` | `getDirectDomain()`
`int` | `getDirectSubslotCount()`
`Collection` | `getDirectSubslots()`
`int` | `getDirectSuperslotCount()`
`Collection` | `getDirectSuperslots()`
`Collection` | `getDocumentation()`
`Collection` | `getDomain()`
`Slot` | `getInverseSlot()`
`int` | `getMaximumCardinality()`
`Number` | `getMaximumValue()`
`int` | `getMinimumCardinality()`
`Number` | `getMinimumValue()`
`Collection` | `getSubslots()`
`Collection` | `getSuperslots()`
`Collection` | `getTemplateSlotClses()` Deprecated. Use #getDirectDomain()
`Collection` | `getValues()` Returns the "template slot values" for a top level slot.
`ValueType` | `getValueType()`
`boolean` | `hasDirectSuperslot(Slot slot)`
`boolean` | `hasSuperslot(Slot slot)`
`boolean` | `hasValueAtSomeFrame()`
`void` | `moveDirectSubslot(Slot movedCls, Slot afterCls)`
`void` | `removeDirectSuperslot(Slot slot)`
`void` | `removeSlotListener(SlotListener listener)`
`Slot` | `rename(String name)` This is as close as we come to renaming a frame.
`void` | `setAllowedClses(Collection clses)`
`void` | `setAllowedParents(Collection parents)`
`void` | `setAllowedValues(Collection values)`
`void` | `setAllowsMultipleValues(boolean b)`
`void` | `setAssociatedFacet(Facet facet)`
`void` | `setDefaultValues(Collection values)`
`void` | `setDirectTypeOfSubslots(Cls cls)`
`void` | `setDocumentation(String doc)`
`void` | `setInverseSlot(Slot slot)`
`void` | `setMaximumCardinality(int max)`
`void` | `setMaximumValue(Number n)`
`void` | `setMinimumCardinality(int min)`
`void` | `setMinimumValue(Number n)`
`void` | `setValues(Collection values)`
`void` | `setValueType(ValueType type)`

Methods inherited from interface edu.stanford.smi.protege.model.Instance
`addDirectType, addInstanceListener, getDirectType, getDirectTypes, getReachableSimpleInstances, hasDirectType, hasType, moveDirectType, removeDirectType, removeInstanceListener, setDirectType, setDirectTypes`

Methods inherited from interface edu.stanford.smi.protege.model.Frame
`addFrameListener, addOwnFacetValue, addOwnSlotValue, areValidOwnSlotValues, assertFrameName, copy, deepCopy, delete, getBrowserText, getDirectOwnSlotValue, getDirectOwnSlotValues, getFrameID, getIcon, getInvalidOwnSlotValuesText, getInvalidOwnSlotValueText, getKnowledgeBase, getName, getOwnFacetValue, getOwnFacetValues, getOwnSlotAllowsMultipleValues, getOwnSlotAndSubslotValues, getOwnSlotDefaultValues, getOwnSlotFacets, getOwnSlotFacetValues, getOwnSlots, getOwnSlotValue, getOwnSlotValueCount, getOwnSlotValues, getOwnSlotValueType, getProject, getReferences, getReferences, hasOwnSlot, isBeingDeleted, isDeleted, isEditable, isIncluded, isSystem, isValid, isValidOwnSlotValue, isVisible, markDeleted, markDeleting, moveDirectOwnSlotValue, removeFrameListener, removeOwnSlotValue, setDirectOwnSlotValue, setDirectOwnSlotValues, setDocumentation, setEditable, setIncluded, setOwnFacetValue, setOwnFacetValues, setOwnSlotValue, setOwnSlotValues, setVisible, shallowCopy`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### addDirectSuperslot

    void addDirectSuperslot(Slot slot)

### addSlotListener

    void addSlotListener(SlotListener listener)

### getAllowedClses

    Collection getAllowedClses()

  Returns:
    Collection of `Clses` The behavior of this method is undefined if the slot is not of type Instance

### getAllowedParents

    Collection getAllowedParents()

  Returns the classes which restrict the values that this slot can take. This slot will accept as a value any Cls which has one of these values as its parent (or is itself one of these values).

  Returns:
    Collection of `Clses` The behavior of this method is undefined if the slot is not of type Class

### getAllowedValues

    Collection getAllowedValues()

  Returns:
    Collection of Strings which are the allowed values of this slot. The behavior of this method is undefined if the slot is not of type Symbol

### getAllowsMultipleValues

    boolean getAllowsMultipleValues()

  Returns:
    whether or not this slot allows more than one value

### getAssociatedFacet

    Facet getAssociatedFacet()

### getDefaultValues

    Collection getDefaultValues()

### getDirectSubslotCount

    int getDirectSubslotCount()

### getDirectSubslots

    Collection getDirectSubslots()

### getDirectSuperslotCount

    int getDirectSuperslotCount()

### getDirectSuperslots

    Collection getDirectSuperslots()

### hasDirectSuperslot

    boolean hasDirectSuperslot(Slot slot)

### hasSuperslot

    boolean hasSuperslot(Slot slot)

### moveDirectSubslot

    void moveDirectSubslot(Slot movedCls,
                           Slot afterCls)

### getDocumentation

    Collection getDocumentation()

  Specified by:
    `getDocumentation` in interface `Frame`

### getInverseSlot

    Slot getInverseSlot()

### getMaximumCardinality

    int getMaximumCardinality()

### getMaximumValue

    Number getMaximumValue()

### getMinimumCardinality

    int getMinimumCardinality()

### getMinimumValue

    Number getMinimumValue()

### getSubslots

    Collection getSubslots()

### getSuperslots

    Collection getSuperslots()

### getTemplateSlotClses

    Collection getTemplateSlotClses()

  Deprecated. Use #getDirectDomain()

### getDirectDomain

    Collection getDirectDomain()

### getDomain

    Collection getDomain()

### getValues

    Collection getValues()

  Returns the "template slot values" for a top level slot. Usually this is empty. Beware: this method probably doesn't do what you think! It does NOT return own slot values at a particular frame. To get own slot values at a class see `Frame.getOwnSlotValues(Slot)` What it does do is return the values which will become template slot values when this slot is attached to a class.

### getValueType

    ValueType getValueType()

### hasValueAtSomeFrame

    boolean hasValueAtSomeFrame()

### removeDirectSuperslot

    void removeDirectSuperslot(Slot slot)

### removeSlotListener

    void removeSlotListener(SlotListener listener)

### setAllowedClses

    void setAllowedClses(Collection clses)

### setAllowedParents

    void setAllowedParents(Collection parents)

### setAllowedValues

    void setAllowedValues(Collection values)

### setAllowsMultipleValues

    void setAllowsMultipleValues(boolean b)

### setAssociatedFacet

    void setAssociatedFacet(Facet facet)

### setDefaultValues

    void setDefaultValues(Collection values)

### setDirectTypeOfSubslots

    void setDirectTypeOfSubslots(Cls cls)

### setDocumentation

    void setDocumentation(String doc)

  Specified by:
    `setDocumentation` in interface `Frame`

### setInverseSlot

    void setInverseSlot(Slot slot)

### setMaximumCardinality

    void setMaximumCardinality(int max)

### setMaximumValue

    void setMaximumValue(Number n)

### setMinimumCardinality

    void setMinimumCardinality(int min)

### setMinimumValue

    void setMinimumValue(Number n)

### setValues

    void setValues(Collection values)

### setValueType

    void setValueType(ValueType type)

### rename

    Slot rename(String name)

  Description copied from interface: `Frame`
  This is as close as we come to renaming a frame. Creates a clone of this with the new name and deletes this.

  Specified by:
    `rename` in interface `Frame`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.